---
#######################################################################
#                                                                     #
#   Insert rules in our created public and private ACLS.              #
#   Environment specific rules are rolled out seperatly               #
#                                                                     #
#######################################################################
- name: "stack | aws_acl | set_fact | cftags_acl"
  set_fact:
    cftags_acl: "{{ cftags_acl | default({}) | combine({item.key:item.value}) | combine(cloudformation_tags | default({})) }}"
  with_dict:
    "{{ tag_prefix }}:owner"           : "{{ owner }}"
    "{{ tag_prefix }}:environment"     : "{{ environment_type }}"
    "{{ tag_prefix }}:environment_abbr": "{{ environment_abbr }}"
    "{{ tag_prefix }}:account"         : "{{ account_name }}"
    "{{ tag_prefix }}:role"            : "acl"

#######################################################################
#                                                                     #
#   Create generic ACL rules                                          #
#                                                                     #
#######################################################################
- name: "stack | acl | cloudformation"
  cloudformation:
    state              : present
    template           : "{{ role_path + '/files/cf-acl.yaml' }}"
    create_changeset   : "{{ create_changeset | default(True) }}"
    stack_name         : "{{ environment_abbr }}-acl"
    region             : "{{ aws_region }}"
    tags               : "{{ cftags_acl }}"
    template_parameters:
      EnvironmentAbbr: "{{ environment_abbr }}"
      AdminCIDR      : "{{ acl_admin_cidr }}"
      AdminVPNCIDR   : "{{ acl_admin_vpn_cidr }}"

#######################################################################
#                                                                     #
#   Create environment specific ACL rules                             #
#                                                                     #
#######################################################################
- name: "stack | acl-extra | check"
  stat:
    path: "{{ role_path + '/files/cf-acl-' + environment_abbr + '.yaml' }}"
  register: stat_result

- name: "stack | securitygroups-extra | cloudformation"
  when: stat_result.stat.exists
  cloudformation:
    state           : present
    template        : "{{ role_path + '/files/cf-acl' + environment_abbr + '.yaml' }}"
    create_changeset: "{{ create_changeset | default(True) }}"
    stack_name      : "{{ environment_abbr }}-acl-extra"
    region          : "{{ aws_region }}"
    tags: "{{ cftags_acl }}"
    template_parameters:
      EnvironmentAbbr: "{{ environment_abbr }}"
      AdminCIDR      : "{{ acl_admin_cidr }}"
      AdminVPNCIDR   : "{{ acl_admin_vpn_cidr }}"
